//+------------------------------------------------------------------+
//| ATRStops for OtherTimeframeChart                                 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2011,	poo.japan"
#property  link      "http://www.metaquotes.net/"

//---- indicator settings
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Yellow
#property indicator_width1 2
#property indicator_width2 2

//---original indicator name
string IndiName="ATRStops_v1.1";

//---- input
extern int OtherTimeframe=PERIOD_H4;// other timeframe

//---- input parameters original
extern int    Length    = 1;    // was 10
extern int    ATRperiod = 13;    // was 5
extern double Kv        = 3.236;  // was 2.5

//---- indicator buffers
double     OTF_UpBuffer1[];
double     OTF_DnBuffer1[];


//---- error
bool err=false;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- check inputs
   if(PeriodToStr(OtherTimeframe)=="--")
		{	err=true;
			SetIndexLabel(0,"error");
			SetIndexLabel(1,"error");
			return(-1);	}


//---- indicator buffers mapping
   SetIndexBuffer(0,OTF_UpBuffer1);
   SetIndexBuffer(1,OTF_DnBuffer1);

//---- name for DataWindow and indicator subwindow label
  string short_name="ATRStops("+Length+")";
  //IndiNamecatorShortName(short_name);//

	string label=PeriodToStr(OtherTimeframe)+"_"+short_name;
  SetIndexLabel(0,"Up_"+label);
  SetIndexLabel(1,"Dn_"+label);

//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Gizaiza indicator                                                |
//+------------------------------------------------------------------+
int start()
  {
	if(err)return(-1);


	for(int i=Bars-IndicatorCounted()-1;i>=0;i--)
	{
		//bar Time
		datetime time=Time[i];

		//bar position on OtherTimeframe chart
		int position=iBarShift(NULL,OtherTimeframe,time,false);

		//ATRStops
		OTF_UpBuffer1[i]=iCustom(NULL,OtherTimeframe,IndiName,Length,ATRperiod,Kv,0,position);
		OTF_DnBuffer1[i]=iCustom(NULL,OtherTimeframe,IndiName,Length,ATRperiod,Kv,1,position);

	}

	  return(0);
  }
//+------------------------------------------------------------------+
string PeriodToStr(int timeframe)
  {
   switch(timeframe)
     {
      case PERIOD_M1:return("M1");
      case PERIOD_M5:return("M5");
      case PERIOD_M15:return("M15");
      case PERIOD_M30:return("M30");
      case PERIOD_H1:return("H1");
      case PERIOD_H4:return("H4");
      case PERIOD_D1:return("D1");
      case PERIOD_W1:return("W1");
      case PERIOD_MN1:return("MN1");
      default:return("--");
	}
  }
//+------------------------------------------------------------------+

